Skip to main content

CVE-2014-0033

Severity

4.3

Description

org/apache/catalina/connector/CoyoteAdapter.java in Apache Tomcat 6.0.33 through 6.0.37 does not consider the disableURLRewriting setting when handling a session ID in a URL, which allows remote attackers to conduct session fixation attacks via a crafted URL.

Mitigation

We recommend upgrading to a version of this component that is not vulnerable to this specific issue.

Project

Apache Tomcat

Category
n/a
Tags
operational
Date Disclosed

2014-02-26

Date Discovered

2013-12-03

Apache Tomcat 6.0.x

First release:
2007-02-28
First release:
2016-12-31
CVEs:
48
Support Lifecycle:
Namespace:
javax
Feel Vulnerable? 

Contact us so we can help you.

* These fields are required.